shutdown(8)

NAME
shutdown - bring the system down

SYNOPSIS
shutdown [OPTION]... TIME [MESSAGE]

DESCRIPTION
shutdown arranges for the system to be brought down in a safe way. All logged-in users are notified that the system is going down and, within the last five minutes of TIME, new logins are prevented. TIME may have different formats, the most common is simply the word 'now' which will bring the system down immediately. Other valid formats are +m, where m is the number of minutes to wait until shutting down and hh:mm which specifies the time on the 24hr clock. Once TIME has elapsed, shutdown sends a request to the init(8) daemon to bring the system down into the appropriate runlevel.

OPTIONS

-r  Requests that the system be rebooted after it has been brought down.

-h  Requests that the system be either halted or powered off after it has been brought down, with the choice as to which left up to the system.

-H  Requests that the system be halted after it has been brought down.

-P  Requests that the system be powered off after it has been brought down.

-c  Cancels a running shutdown. TIME is not specified with this option, the first argument is MESSAGE.

-k  Only send out the warning messages and disable logins, do not actually bring the system down.

NOTES
This tool is provided for compatibility with the traditional System V init(8). Upstart has no notion of runlevels itself, this and the telinit(8) tool are provided to emulate their behaviour. When invoked it generates a runlevel event, with an argument containing the new runlevel.

AUTHOR
Written by Scott James Remnant.

REPORTING BUGS
Report bugs at https://launchpad.net/products/upstart/+bugs

COPYRIGHT
Copyright © 2007 Canonical Ltd.
This is free software; see the source for copying conditions. There is NO warranty; not even for MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.

SEE ALSO
init(8) telinit(8)